<?php
/**
 * @file
 * drupalcon_groundswell_reporting.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function drupalcon_groundswell_reporting_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'groundswell_report';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'registration';
  $view->human_name = 'Groundswell Report';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Groundswell Registration Report';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer registration';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'type',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'registration_id' => 'registration_id',
    'type' => 'type',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'registration_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Registration: Commerce Order ID */
  $handler->display->display_options['relationships']['order_id']['id'] = 'order_id';
  $handler->display->display_options['relationships']['order_id']['table'] = 'registration';
  $handler->display->display_options['relationships']['order_id']['field'] = 'order_id';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['id'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['table'] = 'field_data_commerce_coupon_order_reference';
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['field'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['relationship'] = 'order_id';
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['label'] = 'Commerce Coupon';
  /* Relationship: Registration: User */
  $handler->display->display_options['relationships']['user_uid']['id'] = 'user_uid';
  $handler->display->display_options['relationships']['user_uid']['table'] = 'registration';
  $handler->display->display_options['relationships']['user_uid']['field'] = 'user_uid';
  /* Relationship: Commerce Order: Referenced customer profile */
  $handler->display->display_options['relationships']['commerce_customer_billing_profile_id']['id'] = 'commerce_customer_billing_profile_id';
  $handler->display->display_options['relationships']['commerce_customer_billing_profile_id']['table'] = 'field_data_commerce_customer_billing';
  $handler->display->display_options['relationships']['commerce_customer_billing_profile_id']['field'] = 'commerce_customer_billing_profile_id';
  $handler->display->display_options['relationships']['commerce_customer_billing_profile_id']['relationship'] = 'order_id';
  $handler->display->display_options['relationships']['commerce_customer_billing_profile_id']['label'] = 'Billing Information';
  /* Field: Registration: Registration type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'registration';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['exclude'] = TRUE;
  /* Field: Registration: State entity */
  $handler->display->display_options['fields']['state']['id'] = 'state';
  $handler->display->display_options['fields']['state']['table'] = 'registration';
  $handler->display->display_options['fields']['state']['field'] = 'state';
  $handler->display->display_options['fields']['state']['label'] = 'Registration state';
  $handler->display->display_options['fields']['state']['exclude'] = TRUE;
  /* Field: Registration: Registration ID */
  $handler->display->display_options['fields']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['registration_id']['alter']['path'] = 'registration/[registration_id]';
  $handler->display->display_options['fields']['registration_id']['separator'] = '';
  /* Field: Registration: Date updated */
  $handler->display->display_options['fields']['updated']['id'] = 'updated';
  $handler->display->display_options['fields']['updated']['table'] = 'registration';
  $handler->display->display_options['fields']['updated']['field'] = 'updated';
  $handler->display->display_options['fields']['updated']['label'] = 'Registration last updated';
  $handler->display->display_options['fields']['updated']['exclude'] = TRUE;
  $handler->display->display_options['fields']['updated']['date_format'] = 'date_no_time_';
  /* Field: Commerce Order: Order state */
  $handler->display->display_options['fields']['state_1']['id'] = 'state_1';
  $handler->display->display_options['fields']['state_1']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['state_1']['field'] = 'state';
  $handler->display->display_options['fields']['state_1']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['state_1']['exclude'] = TRUE;
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number']['id'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['order_number']['link_to_order'] = 'customer';
  /* Field: Commerce Order: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['changed']['label'] = 'Order last updated';
  $handler->display->display_options['fields']['changed']['exclude'] = TRUE;
  $handler->display->display_options['fields']['changed']['date_format'] = 'date_no_time_';
  /* Field: Commerce Coupon: Coupon Code */
  $handler->display->display_options['fields']['commerce_coupon_code']['id'] = 'commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['table'] = 'field_data_commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['field'] = 'commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['relationship'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['fields']['commerce_coupon_code']['exclude'] = TRUE;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['name']['label'] = 'Username';
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = TRUE;
  /* Field: Registration: Anonymous e-mail */
  $handler->display->display_options['fields']['anon_mail']['id'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['table'] = 'registration';
  $handler->display->display_options['fields']['anon_mail']['field'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['exclude'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['mail']['exclude'] = TRUE;
  $handler->display->display_options['fields']['mail']['empty'] = '[anon_mail]';
  /* Field: Registration: First name */
  $handler->display->display_options['fields']['field_badge_first_name']['id'] = 'field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['table'] = 'field_data_field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['field'] = 'field_badge_first_name';
  /* Field: Registration: Last name */
  $handler->display->display_options['fields']['field_badge_last_name']['id'] = 'field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['table'] = 'field_data_field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['field'] = 'field_badge_last_name';
  /* Field: Registration: Job title */
  $handler->display->display_options['fields']['field_badge_job_title']['id'] = 'field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['table'] = 'field_data_field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['field'] = 'field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['exclude'] = TRUE;
  /* Field: Registration: Organization */
  $handler->display->display_options['fields']['field_badge_org']['id'] = 'field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['table'] = 'field_data_field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['field'] = 'field_badge_org';
  /* Field: Registration: Which day will you use this pass? */
  $handler->display->display_options['fields']['field_badge_day']['id'] = 'field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['table'] = 'field_data_field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['field'] = 'field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_badge_day']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_day']['alter']['text'] = '[field_badge_day-value]';
  /* Field: Registration: Badge designation */
  $handler->display->display_options['fields']['field_badge_designation']['id'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['table'] = 'field_data_field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['field'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_badge_designation']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_designation']['alter']['text'] = '[field_badge_designation-value]';
  /* Field: Registration: Are you a Drupal Association member? */
  $handler->display->display_options['fields']['field_badge_member']['id'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['table'] = 'field_data_field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['field'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_badge_member']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_member']['alter']['text'] = '[field_badge_member-value]';
  /* Field: Registration: T-shirt size */
  $handler->display->display_options['fields']['field_shirt_size']['id'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['table'] = 'field_data_field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['field'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['label'] = 'Shirt Size';
  $handler->display->display_options['fields']['field_shirt_size']['exclude'] = TRUE;
  /* Field: Registration: Meal preferences */
  $handler->display->display_options['fields']['field_meal_preferences']['id'] = 'field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['table'] = 'field_data_field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['field'] = 'field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['exclude'] = TRUE;
  /* Field: Registration: Comments */
  $handler->display->display_options['fields']['field_meal_comments']['id'] = 'field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['table'] = 'field_data_field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['field'] = 'field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['label'] = 'Meal Comments';
  $handler->display->display_options['fields']['field_meal_comments']['exclude'] = TRUE;
  /* Field: Registration: Special services */
  $handler->display->display_options['fields']['field_special_services']['id'] = 'field_special_services';
  $handler->display->display_options['fields']['field_special_services']['table'] = 'field_data_field_special_services';
  $handler->display->display_options['fields']['field_special_services']['field'] = 'field_special_services';
  $handler->display->display_options['fields']['field_special_services']['exclude'] = TRUE;
  /* Field: Registration: Show my user profile on the attendee page */
  $handler->display->display_options['fields']['field_include_my_profile']['id'] = 'field_include_my_profile';
  $handler->display->display_options['fields']['field_include_my_profile']['table'] = 'field_data_field_include_my_profile';
  $handler->display->display_options['fields']['field_include_my_profile']['field'] = 'field_include_my_profile';
  $handler->display->display_options['fields']['field_include_my_profile']['exclude'] = TRUE;
  /* Field: Registration: Are you attending the Contribution Sprints on Friday?	 */
  $handler->display->display_options['fields']['field_friday_sprints']['id'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['table'] = 'field_data_field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['field'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['label'] = 'Are you attending the Contribution Sprints on Friday?';
  $handler->display->display_options['fields']['field_friday_sprints']['exclude'] = TRUE;
  /* Field: Registration: Are you interested in volunteering at DrupalCon? */
  $handler->display->display_options['fields']['field_registration_volunteer']['id'] = 'field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['table'] = 'field_data_field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['field'] = 'field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['exclude'] = TRUE;
  /* Field: Registration: Attached Commerce Product */
  $handler->display->display_options['fields']['registration_attached_entity']['id'] = 'registration_attached_entity';
  $handler->display->display_options['fields']['registration_attached_entity']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_attached_entity']['field'] = 'registration_attached_entity';
  $handler->display->display_options['fields']['registration_attached_entity']['label'] = 'Attached Product';
  $handler->display->display_options['fields']['registration_attached_entity']['exclude'] = TRUE;
  /* Field: Registration: Country */
  $handler->display->display_options['fields']['field_badge_country']['id'] = 'field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['table'] = 'field_data_field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['field'] = 'field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['exclude'] = TRUE;
  /* Field: Registration: Gender */
  $handler->display->display_options['fields']['field_badge_gender']['id'] = 'field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['table'] = 'field_data_field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['field'] = 'field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['exclude'] = TRUE;
  /* Field: Commerce Customer profile: Phone number */
  $handler->display->display_options['fields']['field_billing_phone_number']['id'] = 'field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['table'] = 'field_data_field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['field'] = 'field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['relationship'] = 'commerce_customer_billing_profile_id';
  $handler->display->display_options['fields']['field_billing_phone_number']['exclude'] = TRUE;
  /* Field: Commerce Order: Admin note */
  $handler->display->display_options['fields']['field_order_admin_note']['id'] = 'field_order_admin_note';
  $handler->display->display_options['fields']['field_order_admin_note']['table'] = 'field_data_field_order_admin_note';
  $handler->display->display_options['fields']['field_order_admin_note']['field'] = 'field_order_admin_note';
  $handler->display->display_options['fields']['field_order_admin_note']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['field_order_admin_note']['exclude'] = TRUE;
  /* Field: Registration: Share my contact information with the other Business Summit attendees. */
  $handler->display->display_options['fields']['field_opt_in_cxo_share']['id'] = 'field_opt_in_cxo_share';
  $handler->display->display_options['fields']['field_opt_in_cxo_share']['table'] = 'field_data_field_opt_in_cxo_share';
  $handler->display->display_options['fields']['field_opt_in_cxo_share']['field'] = 'field_opt_in_cxo_share';
  $handler->display->display_options['fields']['field_opt_in_cxo_share']['exclude'] = TRUE;
  /* Filter criterion: Registration: Registration ID */
  $handler->display->display_options['filters']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['table'] = 'registration';
  $handler->display->display_options['filters']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['group'] = 1;
  $handler->display->display_options['filters']['registration_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['registration_id']['expose']['operator_id'] = 'registration_id_op';
  $handler->display->display_options['filters']['registration_id']['expose']['label'] = 'Registration ID';
  $handler->display->display_options['filters']['registration_id']['expose']['operator'] = 'registration_id_op';
  $handler->display->display_options['filters']['registration_id']['expose']['identifier'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Commerce Order ID */
  $handler->display->display_options['filters']['order_id']['id'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['table'] = 'registration';
  $handler->display->display_options['filters']['order_id']['field'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['group'] = 1;
  $handler->display->display_options['filters']['order_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['order_id']['expose']['operator_id'] = 'order_id_op';
  $handler->display->display_options['filters']['order_id']['expose']['label'] = 'Order number';
  $handler->display->display_options['filters']['order_id']['expose']['operator'] = 'order_id_op';
  $handler->display->display_options['filters']['order_id']['expose']['identifier'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: State entity */
  $handler->display->display_options['filters']['state']['id'] = 'state';
  $handler->display->display_options['filters']['state']['table'] = 'registration';
  $handler->display->display_options['filters']['state']['field'] = 'state';
  $handler->display->display_options['filters']['state']['value'] = array(
    'complete' => 'complete',
  );
  $handler->display->display_options['filters']['state']['group'] = 1;
  /* Filter criterion: Registration: First name (field_badge_first_name) */
  $handler->display->display_options['filters']['field_badge_first_name_value']['id'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['table'] = 'field_data_field_badge_first_name';
  $handler->display->display_options['filters']['field_badge_first_name_value']['field'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_first_name_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_first_name_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['operator_id'] = 'field_badge_first_name_value_op';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['label'] = 'First name';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['operator'] = 'field_badge_first_name_value_op';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['identifier'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Last name (field_badge_last_name) */
  $handler->display->display_options['filters']['field_badge_last_name_value']['id'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['table'] = 'field_data_field_badge_last_name';
  $handler->display->display_options['filters']['field_badge_last_name_value']['field'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_last_name_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_last_name_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['operator_id'] = 'field_badge_last_name_value_op';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['label'] = 'Last name ';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['operator'] = 'field_badge_last_name_value_op';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['identifier'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Organization (field_badge_org) */
  $handler->display->display_options['filters']['field_badge_org_value']['id'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['table'] = 'field_data_field_badge_org';
  $handler->display->display_options['filters']['field_badge_org_value']['field'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_org_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_org_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['operator_id'] = 'field_badge_org_value_op';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['label'] = 'Organization';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['operator'] = 'field_badge_org_value_op';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['identifier'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Coupon: Coupon Code (commerce_coupon_code) */
  $handler->display->display_options['filters']['commerce_coupon_code_value']['id'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['table'] = 'field_data_commerce_coupon_code';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['field'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['relationship'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['group'] = 1;
  $handler->display->display_options['filters']['commerce_coupon_code_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['operator_id'] = 'commerce_coupon_code_value_op';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['label'] = 'Coupon Code';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['operator'] = 'commerce_coupon_code_value_op';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['identifier'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Coupon: Reference (field_reference) */
  $handler->display->display_options['filters']['field_reference_value']['id'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['table'] = 'field_data_field_reference';
  $handler->display->display_options['filters']['field_reference_value']['field'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['relationship'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['filters']['field_reference_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_reference_value']['group'] = 1;
  $handler->display->display_options['filters']['field_reference_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_reference_value']['expose']['operator_id'] = 'field_reference_value_op';
  $handler->display->display_options['filters']['field_reference_value']['expose']['label'] = 'Coupon Reference';
  $handler->display->display_options['filters']['field_reference_value']['expose']['operator'] = 'field_reference_value_op';
  $handler->display->display_options['filters']['field_reference_value']['expose']['identifier'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Order: Updated date */
  $handler->display->display_options['filters']['changed']['id'] = 'changed';
  $handler->display->display_options['filters']['changed']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['changed']['field'] = 'changed';
  $handler->display->display_options['filters']['changed']['relationship'] = 'order_id';
  $handler->display->display_options['filters']['changed']['operator'] = '>';
  $handler->display->display_options['filters']['changed']['group'] = 1;
  $handler->display->display_options['filters']['changed']['exposed'] = TRUE;
  $handler->display->display_options['filters']['changed']['expose']['operator_id'] = 'changed_op';
  $handler->display->display_options['filters']['changed']['expose']['label'] = 'Order last updated';
  $handler->display->display_options['filters']['changed']['expose']['description'] = 'Format: CCYY-MM-DD HH:MM:SS';
  $handler->display->display_options['filters']['changed']['expose']['operator'] = 'changed_op';
  $handler->display->display_options['filters']['changed']['expose']['identifier'] = 'changed';
  $handler->display->display_options['filters']['changed']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Date updated */
  $handler->display->display_options['filters']['updated']['id'] = 'updated';
  $handler->display->display_options['filters']['updated']['table'] = 'registration';
  $handler->display->display_options['filters']['updated']['field'] = 'updated';
  $handler->display->display_options['filters']['updated']['operator'] = '>';
  $handler->display->display_options['filters']['updated']['group'] = 1;
  $handler->display->display_options['filters']['updated']['exposed'] = TRUE;
  $handler->display->display_options['filters']['updated']['expose']['operator_id'] = 'updated_op';
  $handler->display->display_options['filters']['updated']['expose']['label'] = 'Registration last updated';
  $handler->display->display_options['filters']['updated']['expose']['description'] = 'Format: CCYY-MM-DD HH:MM:SS';
  $handler->display->display_options['filters']['updated']['expose']['operator'] = 'updated_op';
  $handler->display->display_options['filters']['updated']['expose']['identifier'] = 'updated';
  $handler->display->display_options['filters']['updated']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Registration type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'registration';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Registration type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['type']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Order: Order state */
  $handler->display->display_options['filters']['state_1']['id'] = 'state_1';
  $handler->display->display_options['filters']['state_1']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['state_1']['field'] = 'state';
  $handler->display->display_options['filters']['state_1']['relationship'] = 'order_id';
  $handler->display->display_options['filters']['state_1']['value'] = array(
    'pending' => 'pending',
    'completed' => 'completed',
  );
  $handler->display->display_options['filters']['state_1']['group'] = 1;
  /* Filter criterion: Commerce Order: Order state */
  $handler->display->display_options['filters']['state_2']['id'] = 'state_2';
  $handler->display->display_options['filters']['state_2']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['state_2']['field'] = 'state';
  $handler->display->display_options['filters']['state_2']['relationship'] = 'order_id';
  $handler->display->display_options['filters']['state_2']['value'] = array(
    'pending' => 'pending',
    'completed' => 'completed',
  );
  $handler->display->display_options['filters']['state_2']['exposed'] = TRUE;
  $handler->display->display_options['filters']['state_2']['expose']['operator_id'] = 'state_2_op';
  $handler->display->display_options['filters']['state_2']['expose']['label'] = 'Order state';
  $handler->display->display_options['filters']['state_2']['expose']['operator'] = 'state_2_op';
  $handler->display->display_options['filters']['state_2']['expose']['identifier'] = 'state_2';
  $handler->display->display_options['filters']['state_2']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );

  /* Display: Groundswell Dashboard */
  $handler = $view->new_display('page', 'Groundswell Dashboard', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'type',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'type' => 'type',
    'state' => 'state',
    'registration_id' => 'registration_id',
    'updated' => 'updated',
    'state_1' => 'state_1',
    'order_number' => 'order_number',
    'changed' => 'changed',
    'commerce_coupon_code' => 'commerce_coupon_code',
    'name' => 'name',
    'mail' => 'mail',
    'anon_mail' => 'anon_mail',
    'field_badge_first' => 'field_badge_first',
    'field_badge_last' => 'field_badge_last',
    'field_badge_job_title' => 'field_badge_job_title',
    'field_badge_org' => 'field_badge_org',
    'field_meal_preference' => 'field_meal_preference',
    'field_shirt_size' => 'field_shirt_size',
    'field_services' => 'field_services',
    'field_comments' => 'field_comments',
    'field_badge_designation' => 'field_badge_designation',
    'field_exhibit_hall_day' => 'field_exhibit_hall_day',
    'field_friday_sprints' => 'field_friday_sprints',
    'field_registration_volunteer' => 'field_registration_volunteer',
    'field_opt_in_lead_retrieval' => 'field_opt_in_lead_retrieval',
    'registration_attached_entity' => 'registration_attached_entity',
    'field_badge_country' => 'field_badge_country',
    'field_gender' => 'field_gender',
    'field_badge_member' => 'field_badge_member',
  );
  $handler->display->display_options['style_options']['default'] = 'type';
  $handler->display->display_options['style_options']['info'] = array(
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'state' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'registration_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'updated' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'state_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'order_number' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'commerce_coupon_code' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'anon_mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_first' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_last' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_job_title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_org' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_meal_preference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_shirt_size' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_services' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_comments' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_designation' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_exhibit_hall_day' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_friday_sprints' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_registration_volunteer' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_opt_in_lead_retrieval' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'registration_attached_entity' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_country' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_gender' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_member' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = '<a href="/groundswell/report.xls" class="button-link">Groundswell</a> &nbsp;&nbsp;&nbsp;<a href="/admin/commerce/coupons" class="button-link">Coupons</a> &nbsp;&nbsp;&nbsp;<a href="/admin/commerce/reports/line-items-taxable/dcaus-all-sales.xls" class="button-link">All Sales</A> &nbsp;&nbsp;&nbsp;<a href="/groundswell/attendees.xls" class="button-link">Demographics</a>';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = 'Registration Count: @total<br>
Use filter view below for most accurate count.';
  $handler->display->display_options['path'] = 'groundswell/drupalcon';
  $handler->display->display_options['menu']['title'] = 'DrupalCon';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Groundswell Export */
  $handler = $view->new_display('views_data_export', 'Groundswell Export', 'views_data_export_1');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_xls';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Registration: Registration type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'registration';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Registration: State entity */
  $handler->display->display_options['fields']['state']['id'] = 'state';
  $handler->display->display_options['fields']['state']['table'] = 'registration';
  $handler->display->display_options['fields']['state']['field'] = 'state';
  $handler->display->display_options['fields']['state']['label'] = 'Registration state';
  /* Field: Registration: Registration ID */
  $handler->display->display_options['fields']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['registration_id']['alter']['path'] = 'registration/[registration_id]';
  $handler->display->display_options['fields']['registration_id']['separator'] = '';
  /* Field: Registration: Date updated */
  $handler->display->display_options['fields']['updated']['id'] = 'updated';
  $handler->display->display_options['fields']['updated']['table'] = 'registration';
  $handler->display->display_options['fields']['updated']['field'] = 'updated';
  $handler->display->display_options['fields']['updated']['label'] = 'Registration last updated';
  $handler->display->display_options['fields']['updated']['date_format'] = 'date_no_time_';
  /* Field: Commerce Order: Order state */
  $handler->display->display_options['fields']['state_1']['id'] = 'state_1';
  $handler->display->display_options['fields']['state_1']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['state_1']['field'] = 'state';
  $handler->display->display_options['fields']['state_1']['relationship'] = 'order_id';
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number']['id'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['order_number']['link_to_order'] = 'admin';
  /* Field: Commerce Order: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['changed']['label'] = 'Order last updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'date_no_time_';
  /* Field: Commerce Coupon: Coupon Code */
  $handler->display->display_options['fields']['commerce_coupon_code']['id'] = 'commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['table'] = 'field_data_commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['field'] = 'commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['relationship'] = 'commerce_coupon_order_reference_target_id';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['name']['label'] = 'Username';
  $handler->display->display_options['fields']['name']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = TRUE;
  /* Field: Registration: Anonymous e-mail */
  $handler->display->display_options['fields']['anon_mail']['id'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['table'] = 'registration';
  $handler->display->display_options['fields']['anon_mail']['field'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['exclude'] = TRUE;
  $handler->display->display_options['fields']['anon_mail']['hide_empty'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['mail']['empty'] = '[anon_mail]';
  /* Field: Registration: First name */
  $handler->display->display_options['fields']['field_badge_first_name']['id'] = 'field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['table'] = 'field_data_field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['field'] = 'field_badge_first_name';
  /* Field: Registration: Last name */
  $handler->display->display_options['fields']['field_badge_last_name']['id'] = 'field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['table'] = 'field_data_field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['field'] = 'field_badge_last_name';
  /* Field: Registration: Job title */
  $handler->display->display_options['fields']['field_badge_job_title']['id'] = 'field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['table'] = 'field_data_field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['field'] = 'field_badge_job_title';
  /* Field: Registration: Organization */
  $handler->display->display_options['fields']['field_badge_org']['id'] = 'field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['table'] = 'field_data_field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['field'] = 'field_badge_org';
  /* Field: Commerce Customer profile: Phone number */
  $handler->display->display_options['fields']['field_billing_phone_number']['id'] = 'field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['table'] = 'field_data_field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['field'] = 'field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['relationship'] = 'commerce_customer_billing_profile_id';
  /* Field: Registration: Which day will you use this pass? */
  $handler->display->display_options['fields']['field_badge_day']['id'] = 'field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['table'] = 'field_data_field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['field'] = 'field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_day']['alter']['text'] = '[field_badge_day-value]';
  /* Field: Registration: Badge designation */
  $handler->display->display_options['fields']['field_badge_designation']['id'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['table'] = 'field_data_field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['field'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_designation']['alter']['text'] = '[field_badge_designation-value]';
  /* Field: Registration: Are you a Drupal Association member? */
  $handler->display->display_options['fields']['field_badge_member']['id'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['table'] = 'field_data_field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['field'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_member']['alter']['text'] = '[field_badge_member-value]';
  /* Field: Registration: T-shirt size */
  $handler->display->display_options['fields']['field_shirt_size']['id'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['table'] = 'field_data_field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['field'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['label'] = 'Shirt Size';
  /* Field: Registration: Meal preferences */
  $handler->display->display_options['fields']['field_meal_preferences']['id'] = 'field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['table'] = 'field_data_field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['field'] = 'field_meal_preferences';
  /* Field: Registration: Comments */
  $handler->display->display_options['fields']['field_meal_comments']['id'] = 'field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['table'] = 'field_data_field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['field'] = 'field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['label'] = 'Meal Comments';
  /* Field: Registration: Special services */
  $handler->display->display_options['fields']['field_special_services']['id'] = 'field_special_services';
  $handler->display->display_options['fields']['field_special_services']['table'] = 'field_data_field_special_services';
  $handler->display->display_options['fields']['field_special_services']['field'] = 'field_special_services';
  /* Field: Registration: Are you attending the Contribution Sprints on Friday?	 */
  $handler->display->display_options['fields']['field_friday_sprints']['id'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['table'] = 'field_data_field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['field'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['label'] = 'Are you attending the Contribution Sprints on Friday?';
  /* Field: Registration: Are you interested in volunteering at DrupalCon? */
  $handler->display->display_options['fields']['field_registration_volunteer']['id'] = 'field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['table'] = 'field_data_field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['field'] = 'field_registration_volunteer';
  /* Field: Registration: Attached Commerce Product */
  $handler->display->display_options['fields']['registration_attached_entity']['id'] = 'registration_attached_entity';
  $handler->display->display_options['fields']['registration_attached_entity']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_attached_entity']['field'] = 'registration_attached_entity';
  $handler->display->display_options['fields']['registration_attached_entity']['label'] = 'Attached Product';
  /* Field: Registration: Country */
  $handler->display->display_options['fields']['field_badge_country']['id'] = 'field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['table'] = 'field_data_field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['field'] = 'field_badge_country';
  /* Field: Registration: Gender */
  $handler->display->display_options['fields']['field_badge_gender']['id'] = 'field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['table'] = 'field_data_field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['field'] = 'field_badge_gender';
  /* Field: Commerce Order: Admin note */
  $handler->display->display_options['fields']['field_order_admin_note']['id'] = 'field_order_admin_note';
  $handler->display->display_options['fields']['field_order_admin_note']['table'] = 'field_data_field_order_admin_note';
  $handler->display->display_options['fields']['field_order_admin_note']['field'] = 'field_order_admin_note';
  $handler->display->display_options['fields']['field_order_admin_note']['relationship'] = 'order_id';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Registration: Registration type */
  $handler->display->display_options['sorts']['type']['id'] = 'type';
  $handler->display->display_options['sorts']['type']['table'] = 'registration';
  $handler->display->display_options['sorts']['type']['field'] = 'type';
  $handler->display->display_options['path'] = 'groundswell/report.xls';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
  );
  $handler->display->display_options['use_batch'] = 'batch';
  $handler->display->display_options['segment_size'] = '100';

  /* Display: Data export 2 */
  $handler = $view->new_display('views_data_export', 'Data export 2', 'views_data_export_2');
  $handler->display->display_options['enabled'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_xls';
  $handler->display->display_options['style_options']['attach_text'] = 'Download Report';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Registration: Registration type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'registration';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Registration: State entity */
  $handler->display->display_options['fields']['state']['id'] = 'state';
  $handler->display->display_options['fields']['state']['table'] = 'registration';
  $handler->display->display_options['fields']['state']['field'] = 'state';
  $handler->display->display_options['fields']['state']['label'] = 'Registration state';
  /* Field: Registration: Registration ID */
  $handler->display->display_options['fields']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['registration_id']['alter']['path'] = 'registration/[registration_id]';
  /* Field: Registration: Date updated */
  $handler->display->display_options['fields']['updated']['id'] = 'updated';
  $handler->display->display_options['fields']['updated']['table'] = 'registration';
  $handler->display->display_options['fields']['updated']['field'] = 'updated';
  $handler->display->display_options['fields']['updated']['label'] = 'Registration last updated';
  $handler->display->display_options['fields']['updated']['date_format'] = 'date_no_time_';
  /* Field: Commerce Order: Order state */
  $handler->display->display_options['fields']['state_1']['id'] = 'state_1';
  $handler->display->display_options['fields']['state_1']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['state_1']['field'] = 'state';
  $handler->display->display_options['fields']['state_1']['relationship'] = 'order_id';
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number']['id'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['order_number']['link_to_order'] = 'admin';
  /* Field: Commerce Order: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['changed']['label'] = 'Order last updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'date_no_time_';
  /* Field: Commerce Coupon: Coupon Code */
  $handler->display->display_options['fields']['commerce_coupon_code']['id'] = 'commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['table'] = 'field_data_commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['field'] = 'commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['relationship'] = 'commerce_coupon_order_reference_target_id';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['name']['label'] = 'Username';
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = TRUE;
  /* Field: Registration: Anonymous e-mail */
  $handler->display->display_options['fields']['anon_mail']['id'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['table'] = 'registration';
  $handler->display->display_options['fields']['anon_mail']['field'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['exclude'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['mail']['empty'] = '[anon_mail]';
  /* Field: Registration: First name */
  $handler->display->display_options['fields']['field_badge_first_name']['id'] = 'field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['table'] = 'field_data_field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['field'] = 'field_badge_first_name';
  /* Field: Registration: Last name */
  $handler->display->display_options['fields']['field_badge_last_name']['id'] = 'field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['table'] = 'field_data_field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['field'] = 'field_badge_last_name';
  /* Field: Registration: Job title */
  $handler->display->display_options['fields']['field_badge_job_title']['id'] = 'field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['table'] = 'field_data_field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['field'] = 'field_badge_job_title';
  /* Field: Registration: Organization */
  $handler->display->display_options['fields']['field_badge_org']['id'] = 'field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['table'] = 'field_data_field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['field'] = 'field_badge_org';
  /* Field: Registration: Which day will you use this pass? */
  $handler->display->display_options['fields']['field_badge_day']['id'] = 'field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['table'] = 'field_data_field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['field'] = 'field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_day']['alter']['text'] = '[field_badge_day-value]';
  /* Field: Registration: Badge designation */
  $handler->display->display_options['fields']['field_badge_designation']['id'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['table'] = 'field_data_field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['field'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_designation']['alter']['text'] = '[field_badge_designation-value]';
  /* Field: Registration: Are you a Drupal Association member? */
  $handler->display->display_options['fields']['field_badge_member']['id'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['table'] = 'field_data_field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['field'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_member']['alter']['text'] = '[field_badge_member-value]';
  /* Field: Registration: T-shirt size */
  $handler->display->display_options['fields']['field_shirt_size']['id'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['table'] = 'field_data_field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['field'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['label'] = 'Shirt Size';
  /* Field: Registration: Meal preferences */
  $handler->display->display_options['fields']['field_meal_preferences']['id'] = 'field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['table'] = 'field_data_field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['field'] = 'field_meal_preferences';
  /* Field: Registration: Comments */
  $handler->display->display_options['fields']['field_meal_comments']['id'] = 'field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['table'] = 'field_data_field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['field'] = 'field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['label'] = 'Meal Comments';
  /* Field: Registration: Special services */
  $handler->display->display_options['fields']['field_special_services']['id'] = 'field_special_services';
  $handler->display->display_options['fields']['field_special_services']['table'] = 'field_data_field_special_services';
  $handler->display->display_options['fields']['field_special_services']['field'] = 'field_special_services';
  $handler->display->display_options['fields']['field_special_services']['exclude'] = TRUE;
  /* Field: Registration: Are you attending the Contribution Sprints on Friday?	 */
  $handler->display->display_options['fields']['field_friday_sprints']['id'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['table'] = 'field_data_field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['field'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['label'] = 'Are you attending the Contribution Sprints on Friday?';
  /* Field: Registration: Are you interested in volunteering at DrupalCon? */
  $handler->display->display_options['fields']['field_registration_volunteer']['id'] = 'field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['table'] = 'field_data_field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['field'] = 'field_registration_volunteer';
  /* Field: Registration: Would you like to participate in our sponsor's lead retrieval program?  */
  $handler->display->display_options['fields']['field_opt_in_lead_retrieval']['id'] = 'field_opt_in_lead_retrieval';
  $handler->display->display_options['fields']['field_opt_in_lead_retrieval']['table'] = 'field_data_field_opt_in_lead_retrieval';
  $handler->display->display_options['fields']['field_opt_in_lead_retrieval']['field'] = 'field_opt_in_lead_retrieval';
  /* Field: Registration: Attached Commerce Product */
  $handler->display->display_options['fields']['registration_attached_entity']['id'] = 'registration_attached_entity';
  $handler->display->display_options['fields']['registration_attached_entity']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_attached_entity']['field'] = 'registration_attached_entity';
  $handler->display->display_options['fields']['registration_attached_entity']['label'] = 'Attached Product';
  /* Field: Registration: Country */
  $handler->display->display_options['fields']['field_badge_country']['id'] = 'field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['table'] = 'field_data_field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['field'] = 'field_badge_country';
  /* Field: Registration: Gender */
  $handler->display->display_options['fields']['field_badge_gender']['id'] = 'field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['table'] = 'field_data_field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['field'] = 'field_badge_gender';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Registration: Registration type */
  $handler->display->display_options['sorts']['type']['id'] = 'type';
  $handler->display->display_options['sorts']['type']['table'] = 'registration';
  $handler->display->display_options['sorts']['type']['field'] = 'type';
  /* Sort criterion: Registration: Date updated */
  $handler->display->display_options['sorts']['updated']['id'] = 'updated';
  $handler->display->display_options['sorts']['updated']['table'] = 'registration';
  $handler->display->display_options['sorts']['updated']['field'] = 'updated';
  $handler->display->display_options['sorts']['updated']['order'] = 'DESC';
  $handler->display->display_options['sorts']['updated']['granularity'] = 'minute';
  $handler->display->display_options['path'] = 'groundswell/report2.xls';
  $handler->display->display_options['displays'] = array(
    'default' => 0,
    'page' => 0,
  );
  $handler->display->display_options['use_batch'] = 'batch';
  $handler->display->display_options['segment_size'] = '100';

  /* Display: Attendee Export */
  $handler = $view->new_display('views_data_export', 'Attendee Export', 'views_data_export_3');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_xls';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Registration: Registration type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'registration';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Registration: State entity */
  $handler->display->display_options['fields']['state']['id'] = 'state';
  $handler->display->display_options['fields']['state']['table'] = 'registration';
  $handler->display->display_options['fields']['state']['field'] = 'state';
  $handler->display->display_options['fields']['state']['label'] = 'Registration state';
  /* Field: Registration: Registration ID */
  $handler->display->display_options['fields']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['registration_id']['alter']['path'] = 'registration/[registration_id]';
  /* Field: Registration: Date updated */
  $handler->display->display_options['fields']['updated']['id'] = 'updated';
  $handler->display->display_options['fields']['updated']['table'] = 'registration';
  $handler->display->display_options['fields']['updated']['field'] = 'updated';
  $handler->display->display_options['fields']['updated']['label'] = 'Registration last updated';
  $handler->display->display_options['fields']['updated']['date_format'] = 'date_no_time_';
  /* Field: Commerce Order: Order state */
  $handler->display->display_options['fields']['state_1']['id'] = 'state_1';
  $handler->display->display_options['fields']['state_1']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['state_1']['field'] = 'state';
  $handler->display->display_options['fields']['state_1']['relationship'] = 'order_id';
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number']['id'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['order_number']['link_to_order'] = 'admin';
  /* Field: Commerce Order: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['changed']['label'] = 'Order last updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'date_no_time_';
  /* Field: Commerce Coupon: Coupon Code */
  $handler->display->display_options['fields']['commerce_coupon_code']['id'] = 'commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['table'] = 'field_data_commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['field'] = 'commerce_coupon_code';
  $handler->display->display_options['fields']['commerce_coupon_code']['relationship'] = 'commerce_coupon_order_reference_target_id';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['name']['label'] = 'Username';
  $handler->display->display_options['fields']['name']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = TRUE;
  /* Field: Registration: Anonymous e-mail */
  $handler->display->display_options['fields']['anon_mail']['id'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['table'] = 'registration';
  $handler->display->display_options['fields']['anon_mail']['field'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['exclude'] = TRUE;
  $handler->display->display_options['fields']['anon_mail']['hide_empty'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['mail']['empty'] = '[anon_mail]';
  /* Field: Registration: First name */
  $handler->display->display_options['fields']['field_badge_first_name']['id'] = 'field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['table'] = 'field_data_field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['field'] = 'field_badge_first_name';
  /* Field: Registration: Last name */
  $handler->display->display_options['fields']['field_badge_last_name']['id'] = 'field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['table'] = 'field_data_field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['field'] = 'field_badge_last_name';
  /* Field: Registration: Job title */
  $handler->display->display_options['fields']['field_badge_job_title']['id'] = 'field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['table'] = 'field_data_field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['field'] = 'field_badge_job_title';
  /* Field: Registration: Organization */
  $handler->display->display_options['fields']['field_badge_org']['id'] = 'field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['table'] = 'field_data_field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['field'] = 'field_badge_org';
  /* Field: Commerce Customer profile: Phone number */
  $handler->display->display_options['fields']['field_billing_phone_number']['id'] = 'field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['table'] = 'field_data_field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['field'] = 'field_billing_phone_number';
  $handler->display->display_options['fields']['field_billing_phone_number']['relationship'] = 'commerce_customer_billing_profile_id';
  /* Field: Registration: Which day will you use this pass? */
  $handler->display->display_options['fields']['field_badge_day']['id'] = 'field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['table'] = 'field_data_field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['field'] = 'field_badge_day';
  $handler->display->display_options['fields']['field_badge_day']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_day']['alter']['text'] = '[field_badge_day-value]';
  /* Field: Registration: Badge designation */
  $handler->display->display_options['fields']['field_badge_designation']['id'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['table'] = 'field_data_field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['field'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_designation']['alter']['text'] = '[field_badge_designation-value]';
  /* Field: Registration: Are you a Drupal Association member? */
  $handler->display->display_options['fields']['field_badge_member']['id'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['table'] = 'field_data_field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['field'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_member']['alter']['text'] = '[field_badge_member-value]';
  /* Field: Registration: T-shirt size */
  $handler->display->display_options['fields']['field_shirt_size']['id'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['table'] = 'field_data_field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['field'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['label'] = 'Shirt Size';
  /* Field: Registration: Meal preferences */
  $handler->display->display_options['fields']['field_meal_preferences']['id'] = 'field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['table'] = 'field_data_field_meal_preferences';
  $handler->display->display_options['fields']['field_meal_preferences']['field'] = 'field_meal_preferences';
  /* Field: Registration: Comments */
  $handler->display->display_options['fields']['field_meal_comments']['id'] = 'field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['table'] = 'field_data_field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['field'] = 'field_meal_comments';
  $handler->display->display_options['fields']['field_meal_comments']['label'] = 'Meal Comments';
  /* Field: Registration: Special services */
  $handler->display->display_options['fields']['field_special_services']['id'] = 'field_special_services';
  $handler->display->display_options['fields']['field_special_services']['table'] = 'field_data_field_special_services';
  $handler->display->display_options['fields']['field_special_services']['field'] = 'field_special_services';
  /* Field: Registration: Show my user profile on the attendee page */
  $handler->display->display_options['fields']['field_include_my_profile']['id'] = 'field_include_my_profile';
  $handler->display->display_options['fields']['field_include_my_profile']['table'] = 'field_data_field_include_my_profile';
  $handler->display->display_options['fields']['field_include_my_profile']['field'] = 'field_include_my_profile';
  /* Field: Registration: Are you attending the Contribution Sprints on Friday?	 */
  $handler->display->display_options['fields']['field_friday_sprints']['id'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['table'] = 'field_data_field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['field'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['label'] = 'Are you attending the Contribution Sprints on Friday?';
  /* Field: Registration: Are you interested in volunteering at DrupalCon? */
  $handler->display->display_options['fields']['field_registration_volunteer']['id'] = 'field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['table'] = 'field_data_field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['field'] = 'field_registration_volunteer';
  /* Field: Registration: Attached Commerce Product */
  $handler->display->display_options['fields']['registration_attached_entity']['id'] = 'registration_attached_entity';
  $handler->display->display_options['fields']['registration_attached_entity']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_attached_entity']['field'] = 'registration_attached_entity';
  $handler->display->display_options['fields']['registration_attached_entity']['label'] = 'Attached Product';
  /* Field: Registration: Country */
  $handler->display->display_options['fields']['field_badge_country']['id'] = 'field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['table'] = 'field_data_field_badge_country';
  $handler->display->display_options['fields']['field_badge_country']['field'] = 'field_badge_country';
  /* Field: Registration: Gender */
  $handler->display->display_options['fields']['field_badge_gender']['id'] = 'field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['table'] = 'field_data_field_badge_gender';
  $handler->display->display_options['fields']['field_badge_gender']['field'] = 'field_badge_gender';
  /* Field: Registration: How did you learn about DrupalCon? */
  $handler->display->display_options['fields']['field_learn_about_drupalcon']['id'] = 'field_learn_about_drupalcon';
  $handler->display->display_options['fields']['field_learn_about_drupalcon']['table'] = 'field_data_field_learn_about_drupalcon';
  $handler->display->display_options['fields']['field_learn_about_drupalcon']['field'] = 'field_learn_about_drupalcon';
  $handler->display->display_options['fields']['field_learn_about_drupalcon']['delta_offset'] = '0';
  /* Field: Registration: Why are you attending DrupalCon? */
  $handler->display->display_options['fields']['field_drupalcon_reason']['id'] = 'field_drupalcon_reason';
  $handler->display->display_options['fields']['field_drupalcon_reason']['table'] = 'field_data_field_drupalcon_reason';
  $handler->display->display_options['fields']['field_drupalcon_reason']['field'] = 'field_drupalcon_reason';
  $handler->display->display_options['fields']['field_drupalcon_reason']['delta_offset'] = '0';
  /* Field: Registration: What is your level of Drupal experience? */
  $handler->display->display_options['fields']['field_current_experience_level']['id'] = 'field_current_experience_level';
  $handler->display->display_options['fields']['field_current_experience_level']['table'] = 'field_data_field_current_experience_level';
  $handler->display->display_options['fields']['field_current_experience_level']['field'] = 'field_current_experience_level';
  /* Field: Registration: How do you use Drupal? */
  $handler->display->display_options['fields']['field_how_do_you_use_drupal']['id'] = 'field_how_do_you_use_drupal';
  $handler->display->display_options['fields']['field_how_do_you_use_drupal']['table'] = 'field_data_field_how_do_you_use_drupal';
  $handler->display->display_options['fields']['field_how_do_you_use_drupal']['field'] = 'field_how_do_you_use_drupal';
  /* Field: Registration: Describe your primary work with Drupal. */
  $handler->display->display_options['fields']['field_drupal_work']['id'] = 'field_drupal_work';
  $handler->display->display_options['fields']['field_drupal_work']['table'] = 'field_data_field_drupal_work';
  $handler->display->display_options['fields']['field_drupal_work']['field'] = 'field_drupal_work';
  /* Field: Registration: What is the size of your organization (total employees)? */
  $handler->display->display_options['fields']['field_company_size']['id'] = 'field_company_size';
  $handler->display->display_options['fields']['field_company_size']['table'] = 'field_data_field_company_size';
  $handler->display->display_options['fields']['field_company_size']['field'] = 'field_company_size';
  /* Field: Registration: The Drupal Association helps fund DrupalCon through various programs. Which would you like to learn more about? */
  $handler->display->display_options['fields']['field_opt_in_da_news']['id'] = 'field_opt_in_da_news';
  $handler->display->display_options['fields']['field_opt_in_da_news']['table'] = 'field_data_field_opt_in_da_news';
  $handler->display->display_options['fields']['field_opt_in_da_news']['field'] = 'field_opt_in_da_news';
  $handler->display->display_options['fields']['field_opt_in_da_news']['delta_offset'] = '0';
  /* Field: Registration: Would you like to be subscribed to the DrupalCon Newsletter? */
  $handler->display->display_options['fields']['field_opt_in_newsletter']['id'] = 'field_opt_in_newsletter';
  $handler->display->display_options['fields']['field_opt_in_newsletter']['table'] = 'field_data_field_opt_in_newsletter';
  $handler->display->display_options['fields']['field_opt_in_newsletter']['field'] = 'field_opt_in_newsletter';
  /* Field: Registration: Would you like to receive email news and promotions from our sponsors? */
  $handler->display->display_options['fields']['field_opt_in_sponsor_mail']['id'] = 'field_opt_in_sponsor_mail';
  $handler->display->display_options['fields']['field_opt_in_sponsor_mail']['table'] = 'field_data_field_opt_in_sponsor_mail';
  $handler->display->display_options['fields']['field_opt_in_sponsor_mail']['field'] = 'field_opt_in_sponsor_mail';
  /* Field: Registration: Participation Release */
  $handler->display->display_options['fields']['field_training_release']['id'] = 'field_training_release';
  $handler->display->display_options['fields']['field_training_release']['table'] = 'field_data_field_training_release';
  $handler->display->display_options['fields']['field_training_release']['field'] = 'field_training_release';
  $handler->display->display_options['fields']['field_training_release']['delta_offset'] = '0';
  /* Field: Registration: Share my contact information with the other Business Summit attendees. */
  $handler->display->display_options['fields']['field_opt_in_cxo_share']['id'] = 'field_opt_in_cxo_share';
  $handler->display->display_options['fields']['field_opt_in_cxo_share']['table'] = 'field_data_field_opt_in_cxo_share';
  $handler->display->display_options['fields']['field_opt_in_cxo_share']['field'] = 'field_opt_in_cxo_share';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Registration: Registration type */
  $handler->display->display_options['sorts']['type']['id'] = 'type';
  $handler->display->display_options['sorts']['type']['table'] = 'registration';
  $handler->display->display_options['sorts']['type']['field'] = 'type';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Registration: Registration ID */
  $handler->display->display_options['filters']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['table'] = 'registration';
  $handler->display->display_options['filters']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['group'] = 1;
  $handler->display->display_options['filters']['registration_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['registration_id']['expose']['operator_id'] = 'registration_id_op';
  $handler->display->display_options['filters']['registration_id']['expose']['label'] = 'Registration ID';
  $handler->display->display_options['filters']['registration_id']['expose']['operator'] = 'registration_id_op';
  $handler->display->display_options['filters']['registration_id']['expose']['identifier'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Commerce Order ID */
  $handler->display->display_options['filters']['order_id']['id'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['table'] = 'registration';
  $handler->display->display_options['filters']['order_id']['field'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['group'] = 1;
  $handler->display->display_options['filters']['order_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['order_id']['expose']['operator_id'] = 'order_id_op';
  $handler->display->display_options['filters']['order_id']['expose']['label'] = 'Order number';
  $handler->display->display_options['filters']['order_id']['expose']['operator'] = 'order_id_op';
  $handler->display->display_options['filters']['order_id']['expose']['identifier'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: State entity */
  $handler->display->display_options['filters']['state']['id'] = 'state';
  $handler->display->display_options['filters']['state']['table'] = 'registration';
  $handler->display->display_options['filters']['state']['field'] = 'state';
  $handler->display->display_options['filters']['state']['value'] = array(
    'complete' => 'complete',
  );
  $handler->display->display_options['filters']['state']['group'] = 1;
  /* Filter criterion: Registration: First name (field_badge_first_name) */
  $handler->display->display_options['filters']['field_badge_first_name_value']['id'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['table'] = 'field_data_field_badge_first_name';
  $handler->display->display_options['filters']['field_badge_first_name_value']['field'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_first_name_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_first_name_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['operator_id'] = 'field_badge_first_name_value_op';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['label'] = 'First name';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['operator'] = 'field_badge_first_name_value_op';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['identifier'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Last name (field_badge_last_name) */
  $handler->display->display_options['filters']['field_badge_last_name_value']['id'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['table'] = 'field_data_field_badge_last_name';
  $handler->display->display_options['filters']['field_badge_last_name_value']['field'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_last_name_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_last_name_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['operator_id'] = 'field_badge_last_name_value_op';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['label'] = 'Last name ';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['operator'] = 'field_badge_last_name_value_op';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['identifier'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Organization (field_badge_org) */
  $handler->display->display_options['filters']['field_badge_org_value']['id'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['table'] = 'field_data_field_badge_org';
  $handler->display->display_options['filters']['field_badge_org_value']['field'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_org_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_org_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['operator_id'] = 'field_badge_org_value_op';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['label'] = 'Organization';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['operator'] = 'field_badge_org_value_op';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['identifier'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Coupon: Coupon Code (commerce_coupon_code) */
  $handler->display->display_options['filters']['commerce_coupon_code_value']['id'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['table'] = 'field_data_commerce_coupon_code';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['field'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['relationship'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['group'] = 1;
  $handler->display->display_options['filters']['commerce_coupon_code_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['operator_id'] = 'commerce_coupon_code_value_op';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['label'] = 'Coupon Code';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['operator'] = 'commerce_coupon_code_value_op';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['identifier'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Coupon: Reference (field_reference) */
  $handler->display->display_options['filters']['field_reference_value']['id'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['table'] = 'field_data_field_reference';
  $handler->display->display_options['filters']['field_reference_value']['field'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['relationship'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['filters']['field_reference_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_reference_value']['group'] = 1;
  $handler->display->display_options['filters']['field_reference_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_reference_value']['expose']['operator_id'] = 'field_reference_value_op';
  $handler->display->display_options['filters']['field_reference_value']['expose']['label'] = 'Coupon Reference';
  $handler->display->display_options['filters']['field_reference_value']['expose']['operator'] = 'field_reference_value_op';
  $handler->display->display_options['filters']['field_reference_value']['expose']['identifier'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Order: Updated date */
  $handler->display->display_options['filters']['changed']['id'] = 'changed';
  $handler->display->display_options['filters']['changed']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['changed']['field'] = 'changed';
  $handler->display->display_options['filters']['changed']['relationship'] = 'order_id';
  $handler->display->display_options['filters']['changed']['operator'] = '>';
  $handler->display->display_options['filters']['changed']['group'] = 1;
  $handler->display->display_options['filters']['changed']['exposed'] = TRUE;
  $handler->display->display_options['filters']['changed']['expose']['operator_id'] = 'changed_op';
  $handler->display->display_options['filters']['changed']['expose']['label'] = 'Order last updated';
  $handler->display->display_options['filters']['changed']['expose']['description'] = 'Format: CCYY-MM-DD HH:MM:SS';
  $handler->display->display_options['filters']['changed']['expose']['operator'] = 'changed_op';
  $handler->display->display_options['filters']['changed']['expose']['identifier'] = 'changed';
  $handler->display->display_options['filters']['changed']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Date updated */
  $handler->display->display_options['filters']['updated']['id'] = 'updated';
  $handler->display->display_options['filters']['updated']['table'] = 'registration';
  $handler->display->display_options['filters']['updated']['field'] = 'updated';
  $handler->display->display_options['filters']['updated']['operator'] = '>';
  $handler->display->display_options['filters']['updated']['group'] = 1;
  $handler->display->display_options['filters']['updated']['exposed'] = TRUE;
  $handler->display->display_options['filters']['updated']['expose']['operator_id'] = 'updated_op';
  $handler->display->display_options['filters']['updated']['expose']['label'] = 'Registration last updated';
  $handler->display->display_options['filters']['updated']['expose']['description'] = 'Format: CCYY-MM-DD HH:MM:SS';
  $handler->display->display_options['filters']['updated']['expose']['operator'] = 'updated_op';
  $handler->display->display_options['filters']['updated']['expose']['identifier'] = 'updated';
  $handler->display->display_options['filters']['updated']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Registration type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'registration';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Registration type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['type']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Order: Order state */
  $handler->display->display_options['filters']['state_1']['id'] = 'state_1';
  $handler->display->display_options['filters']['state_1']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['state_1']['field'] = 'state';
  $handler->display->display_options['filters']['state_1']['relationship'] = 'order_id';
  $handler->display->display_options['filters']['state_1']['value'] = array(
    'pending' => 'pending',
    'completed' => 'completed',
  );
  $handler->display->display_options['filters']['state_1']['group'] = 1;
  /* Filter criterion: Commerce Order: Order state */
  $handler->display->display_options['filters']['state_2']['id'] = 'state_2';
  $handler->display->display_options['filters']['state_2']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['state_2']['field'] = 'state';
  $handler->display->display_options['filters']['state_2']['relationship'] = 'order_id';
  $handler->display->display_options['filters']['state_2']['value'] = array(
    'completed' => 'completed',
  );
  $handler->display->display_options['filters']['state_2']['exposed'] = TRUE;
  $handler->display->display_options['filters']['state_2']['expose']['operator_id'] = 'state_2_op';
  $handler->display->display_options['filters']['state_2']['expose']['label'] = 'Order state';
  $handler->display->display_options['filters']['state_2']['expose']['operator'] = 'state_2_op';
  $handler->display->display_options['filters']['state_2']['expose']['identifier'] = 'state_2';
  $handler->display->display_options['filters']['state_2']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  $handler->display->display_options['path'] = 'groundswell/attendees.xls';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
  );
  $handler->display->display_options['use_batch'] = 'batch';
  $handler->display->display_options['segment_size'] = '100';
  $export['groundswell_report'] = $view;

  return $export;
}
