<?php
/**
 * @file
 * drupalcon_registrations.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function drupalcon_registrations_field_group_info() {
  $export = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_attendee_demographics|registration|exhibit_hall_registration|default';
  $field_group->group_name = 'group_attendee_demographics';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'exhibit_hall_registration';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Demographics',
    'weight' => '4',
    'children' => array(
      0 => 'field_how_do_you_use_drupal',
      1 => 'field_drupalcon_reason',
      2 => 'field_drupal_work',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-attendee-demographics field-group-fieldset',
      ),
    ),
  );
  $export['group_attendee_demographics|registration|exhibit_hall_registration|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_attendee_demographics|registration|exhibit_hall_registration|form';
  $field_group->group_name = 'group_attendee_demographics';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'exhibit_hall_registration';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Demographics',
    'weight' => '4',
    'children' => array(
      0 => 'field_how_do_you_use_drupal',
      1 => 'field_drupalcon_reason',
      2 => 'field_drupal_work',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-attendee-demographics field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_attendee_demographics|registration|exhibit_hall_registration|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_attendee_information|registration|exhibit_hall_registration|review_pane';
  $field_group->group_name = 'group_attendee_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'exhibit_hall_registration';
  $field_group->mode = 'review_pane';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '1',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'mail',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-attendee-information field-group-fieldset',
      ),
    ),
  );
  $export['group_attendee_information|registration|exhibit_hall_registration|review_pane'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_attendee_information|registration|non_conference_ticket|form';
  $field_group->group_name = 'group_attendee_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'non_conference_ticket';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '2',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_org',
      2 => 'field_badge_job_title',
      3 => 'field_badge_last_name',
      4 => 'field_opt_in_cxo_share',
      5 => 'field_special_services',
      6 => 'field_meal_preferences',
      7 => 'field_meal_comments',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-attendee-information field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_attendee_information|registration|non_conference_ticket|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_attendee_information|registration|non_conference_ticket|review_pane';
  $field_group->group_name = 'group_attendee_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'non_conference_ticket';
  $field_group->mode = 'review_pane';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '1',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'mail',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-attendee-information field-group-fieldset',
      ),
    ),
  );
  $export['group_attendee_information|registration|non_conference_ticket|review_pane'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_attendee_information|registration|training_registration|default';
  $field_group->group_name = 'group_attendee_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'training_registration';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '2',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'field_badge_job_title',
      3 => 'field_badge_org',
      4 => 'field_meal_preferences',
      5 => 'field_special_services',
      6 => 'field_meal_comments',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-attendee-information field-group-fieldset',
      ),
    ),
  );
  $export['group_attendee_information|registration|training_registration|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_attendee_information|registration|training_registration|form';
  $field_group->group_name = 'group_attendee_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'training_registration';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '2',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'field_badge_job_title',
      3 => 'field_badge_org',
      4 => 'field_meal_preferences',
      5 => 'field_special_services',
      6 => 'field_meal_comments',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-attendee-information field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_attendee_information|registration|training_registration|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_attendee_information|registration|training_registration|review_pane';
  $field_group->group_name = 'group_attendee_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'training_registration';
  $field_group->mode = 'review_pane';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '1',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'mail',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-attendee-information field-group-fieldset',
      ),
    ),
  );
  $export['group_attendee_information|registration|training_registration|review_pane'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_badge_info|registration|conference_registration|default';
  $field_group->group_name = 'group_badge_info';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '2',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'field_badge_job_title',
      3 => 'field_badge_org',
      4 => 'field_badge_designation',
      5 => 'field_badge_member',
      6 => 'field_badge_country',
      7 => 'field_badge_gender',
      8 => 'field_meal_preferences',
      9 => 'field_shirt_size',
      10 => 'field_meal_comments',
      11 => 'field_special_services',
      12 => 'field_include_my_profile',
      13 => 'field_friday_sprints',
      14 => 'field_registration_volunteer',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Attendee Information',
      'instance_settings' => array(
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_badge_info|registration|conference_registration|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_badge_info|registration|conference_registration|form';
  $field_group->group_name = 'group_badge_info';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '2',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'field_badge_job_title',
      3 => 'field_badge_org',
      4 => 'field_badge_designation',
      5 => 'field_badge_member',
      6 => 'field_badge_country',
      7 => 'field_badge_gender',
      8 => 'field_meal_preferences',
      9 => 'field_shirt_size',
      10 => 'field_meal_comments',
      11 => 'field_special_services',
      12 => 'field_include_my_profile',
      13 => 'field_friday_sprints',
      14 => 'field_registration_volunteer',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Attendee Information',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_badge_info|registration|conference_registration|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_badge_info|registration|conference_registration|review_pane';
  $field_group->group_name = 'group_badge_info';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'review_pane';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '1',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'mail',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Attendee Information',
      'instance_settings' => array(
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_badge_info|registration|conference_registration|review_pane'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_badge_info|registration|exhibit_hall_registration|default';
  $field_group->group_name = 'group_badge_info';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'exhibit_hall_registration';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '3',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_profile_job_title',
      2 => 'field_badge_last_name',
      3 => 'field_badge_org',
      4 => 'field_special_services',
      5 => 'field_meal_preferences',
      6 => 'field_meal_comments',
      7 => 'field_friday_sprints',
      8 => 'field_badge_member',
      9 => 'field_badge_gender',
      10 => 'field_badge_country',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Attendee Information',
      'instance_settings' => array(
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_badge_info|registration|exhibit_hall_registration|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_badge_info|registration|exhibit_hall_registration|form';
  $field_group->group_name = 'group_badge_info';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'exhibit_hall_registration';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Information',
    'weight' => '3',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_profile_job_title',
      2 => 'field_badge_last_name',
      3 => 'field_badge_org',
      4 => 'field_special_services',
      5 => 'field_meal_preferences',
      6 => 'field_meal_comments',
      7 => 'field_friday_sprints',
      8 => 'field_badge_member',
      9 => 'field_badge_gender',
      10 => 'field_badge_country',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Attendee Information',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_badge_info|registration|exhibit_hall_registration|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_badge_info|registration|non_conference_ticket|default';
  $field_group->group_name = 'group_badge_info';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'non_conference_ticket';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Badge Info',
    'weight' => '2',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_org',
      2 => 'field_badge_job_title',
      3 => 'field_badge_last_name',
      4 => 'field_opt_in_cxo_share',
      5 => 'field_special_services',
      6 => 'field_meal_preferences',
      7 => 'field_meal_comments',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
      ),
    ),
  );
  $export['group_badge_info|registration|non_conference_ticket|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_badge_info|registration|non_conference_ticket|form';
  $field_group->group_name = 'group_badge_info';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'non_conference_ticket';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Badge Info',
    'weight' => '1',
    'children' => array(
      0 => 'field_profile_first',
      1 => 'field_profile_last',
      2 => 'field_profile_org',
      3 => 'field_profile_job_title',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_badge_info|registration|non_conference_ticket|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_company_demographics|registration|non_conference_ticket|form';
  $field_group->group_name = 'group_company_demographics';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'non_conference_ticket';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Company Demographics',
    'weight' => '3',
    'children' => array(
      0 => 'field_cxo_company_size',
      1 => 'field_cxo_percent_drupal',
      2 => 'field_cxo_company_age',
      3 => 'field_cxo_industries',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-company-demographics field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_company_demographics|registration|non_conference_ticket|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_contact_preferences|registration|conference_registration|default';
  $field_group->group_name = 'group_contact_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Contact Preferences',
    'weight' => '4',
    'children' => array(
      0 => 'field_opt_in_newsletter',
      1 => 'field_opt_in_da_news',
      2 => 'field_opt_in_sponsor_mail',
      3 => 'field_opt_in_lead_retrieval',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-contact-preferences field-group-fieldset',
      ),
    ),
  );
  $export['group_contact_preferences|registration|conference_registration|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_contact_preferences|registration|conference_registration|form';
  $field_group->group_name = 'group_contact_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Contact Preferences',
    'weight' => '4',
    'children' => array(
      0 => 'field_opt_in_newsletter',
      1 => 'field_opt_in_da_news',
      2 => 'field_opt_in_sponsor_mail',
      3 => 'field_opt_in_lead_retrieval',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-contact-preferences field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_contact_preferences|registration|conference_registration|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_contact_preferences|registration|exhibit_hall_registration|default';
  $field_group->group_name = 'group_contact_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'exhibit_hall_registration';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Contact Preferences',
    'weight' => '5',
    'children' => array(
      0 => 'field_opt_in_newsletter',
      1 => 'field_opt_in_da_news',
      2 => 'field_opt_in_sponsor_mail',
      3 => 'field_opt_in_lead_retrieval',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-contact-preferences field-group-fieldset',
      ),
    ),
  );
  $export['group_contact_preferences|registration|exhibit_hall_registration|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_contact_preferences|registration|exhibit_hall_registration|form';
  $field_group->group_name = 'group_contact_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'exhibit_hall_registration';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Contact Preferences',
    'weight' => '5',
    'children' => array(
      0 => 'field_opt_in_newsletter',
      1 => 'field_opt_in_da_news',
      2 => 'field_opt_in_sponsor_mail',
      3 => 'field_opt_in_lead_retrieval',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-contact-preferences field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_contact_preferences|registration|exhibit_hall_registration|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_course_information|node|training|default';
  $field_group->group_name = 'group_course_information';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'training';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Course Information',
    'weight' => '1',
    'children' => array(
      0 => 'field_drupal_version',
      1 => 'field_experience',
      2 => 'field_training_company',
      3 => 'field_trainers',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => ' group-course-information field-group-fieldset',
      ),
    ),
  );
  $export['group_course_information|node|training|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_demographics|registration|conference_registration|default';
  $field_group->group_name = 'group_demographics';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Demographics',
    'weight' => '3',
    'children' => array(
      0 => 'field_learn_about_drupalcon',
      1 => 'field_drupalcon_reason',
      2 => 'field_current_experience_level',
      3 => 'field_how_do_you_use_drupal',
      4 => 'field_drupal_work',
      5 => 'field_company_size',
      6 => 'field_demographics_comments',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Attendee Demographics',
      'instance_settings' => array(
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_demographics|registration|conference_registration|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_demographics|registration|conference_registration|form';
  $field_group->group_name = 'group_demographics';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Attendee Demographics',
    'weight' => '3',
    'children' => array(
      0 => 'field_learn_about_drupalcon',
      1 => 'field_drupalcon_reason',
      2 => 'field_current_experience_level',
      3 => 'field_how_do_you_use_drupal',
      4 => 'field_drupal_work',
      5 => 'field_company_size',
      6 => 'field_demographics_comments',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'label' => 'Attendee Demographics',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'collapsible',
    ),
  );
  $export['group_demographics|registration|conference_registration|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_demographics|registration|conference_registration|review_pane';
  $field_group->group_name = 'group_demographics';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'review_pane';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Demographics',
    'weight' => '4',
    'children' => array(
      0 => 'field_learn_about_drupalcon',
      1 => 'field_drupalcon_reason',
      2 => 'field_drupal_work',
      3 => 'field_company_size',
    ),
    'format_type' => 'hidden',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
      ),
    ),
  );
  $export['group_demographics|registration|conference_registration|review_pane'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_member_information|registration|drupal_association_membership|default';
  $field_group->group_name = 'group_member_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'drupal_association_membership';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Member Information',
    'weight' => '1',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'field_badge_org',
      3 => 'field_badge_job_title',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-member-information field-group-fieldset',
      ),
    ),
  );
  $export['group_member_information|registration|drupal_association_membership|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_member_information|registration|drupal_association_membership|form';
  $field_group->group_name = 'group_member_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'drupal_association_membership';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Member Information',
    'weight' => '2',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'field_badge_org',
      3 => 'field_badge_job_title',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-member-information field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_member_information|registration|drupal_association_membership|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_member_information|registration|drupal_association_membership|review_pane';
  $field_group->group_name = 'group_member_information';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'drupal_association_membership';
  $field_group->mode = 'review_pane';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Member Information',
    'weight' => '1',
    'children' => array(
      0 => 'field_badge_first_name',
      1 => 'field_badge_last_name',
      2 => 'mail',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-member-information field-group-fieldset',
      ),
    ),
  );
  $export['group_member_information|registration|drupal_association_membership|review_pane'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_registration_preferences|registration|conference_registration|default';
  $field_group->group_name = 'group_registration_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'registration_conference';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Registration Preferences',
    'weight' => '2',
    'children' => array(
      0 => 'field_shirt_size',
      1 => 'field_meal_preference',
      2 => 'field_services',
      3 => 'field_comments',
      4 => 'field_include_my_profile',
      5 => 'field_mailings_opt_in',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => ' group-registration-preferences field-group-fieldset',
      ),
    ),
  );
  $export['group_registration_preferences|registration|conference_registration|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_registration_preferences|registration|conference_registration|form';
  $field_group->group_name = 'group_registration_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'registration_conference';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Registration Preferences',
    'weight' => '2',
    'children' => array(
      0 => 'field_shirt_size',
      1 => 'field_meal_preference',
      2 => 'field_services',
      3 => 'field_comments',
      4 => 'field_include_my_profile',
      5 => 'field_mailings_opt_in',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => ' group-registration-preferences field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_registration_preferences|registration|conference_registration|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_registration_preferences|registration|conference_registration|review_pane';
  $field_group->group_name = 'group_registration_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'conference_registration';
  $field_group->mode = 'review_pane';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Registration Preferences',
    'weight' => '3',
    'children' => array(
      0 => 'field_shirt_size',
      1 => 'field_include_my_profile',
      2 => 'host_entity_link',
      3 => 'created',
      4 => 'updated',
      5 => 'spaces',
      6 => 'author',
    ),
    'format_type' => 'hidden',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(),
    ),
  );
  $export['group_registration_preferences|registration|conference_registration|review_pane'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_registration_preferences|registration|non_conference_ticket|default';
  $field_group->group_name = 'group_registration_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'non_conference_ticket';
  $field_group->mode = 'default';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Registration Preferences',
    'weight' => '8',
    'children' => array(
      0 => 'field_cxo_company_size',
      1 => 'field_cxo_percent_drupal',
      2 => 'field_cxo_company_age',
      3 => 'field_cxo_industries',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
      ),
    ),
  );
  $export['group_registration_preferences|registration|non_conference_ticket|default'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_registration_preferences|registration|non_conference_ticket|form';
  $field_group->group_name = 'group_registration_preferences';
  $field_group->entity_type = 'registration';
  $field_group->bundle = 'non_conference_ticket';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Registration Preferences',
    'weight' => '2',
    'children' => array(
      0 => 'field_meal_preference',
      1 => 'field_services',
      2 => 'field_comments',
      3 => 'field_include_my_profile',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_registration_preferences|registration|non_conference_ticket|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_schedule_information|node|training|form';
  $field_group->group_name = 'group_schedule_information';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'training';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Schedule Information',
    'weight' => '3',
    'children' => array(
      0 => 'field_accepted',
      1 => 'field_session_room',
      2 => 'field_session_slot',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => ' group-schedule-information field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_schedule_information|node|training|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_training_company|node|training|form';
  $field_group->group_name = 'group_training_company';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'training';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Training Company',
    'weight' => '7',
    'children' => array(
      0 => 'field_training_first_name',
      1 => 'field_training_last_name',
      2 => 'field_training_email_address',
      3 => 'field_training_company',
      4 => 'field_training_history',
      5 => 'field_trainers',
      6 => 'field_training_opt_in',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => ' group-training-company field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_training_company|node|training|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_training_information|node|training|form';
  $field_group->group_name = 'group_training_information';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'training';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Course Information',
    'weight' => '2',
    'children' => array(
      0 => 'field_drupal_version',
      1 => 'field_experience',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => ' group-training-information field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $export['group_training_information|node|training|form'] = $field_group;

  return $export;
}
