<?php
/**
 * @file
 * drupalcon_registrations.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function drupalcon_registrations_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'drupalcon_registrations';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'registration';
  $view->human_name = 'DrupalCon Registrations';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'DrupalCon Registrations';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer registration';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'type',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'registration_id' => 'registration_id',
    'type' => 'type',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'registration_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Registration: Commerce Order ID */
  $handler->display->display_options['relationships']['order_id']['id'] = 'order_id';
  $handler->display->display_options['relationships']['order_id']['table'] = 'registration';
  $handler->display->display_options['relationships']['order_id']['field'] = 'order_id';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['id'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['table'] = 'field_data_commerce_coupon_order_reference';
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['field'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['relationship'] = 'order_id';
  $handler->display->display_options['relationships']['commerce_coupon_order_reference_target_id']['label'] = 'Commerce Coupon';
  /* Relationship: Registration: User */
  $handler->display->display_options['relationships']['user_uid']['id'] = 'user_uid';
  $handler->display->display_options['relationships']['user_uid']['table'] = 'registration';
  $handler->display->display_options['relationships']['user_uid']['field'] = 'user_uid';
  /* Field: Registration: Registration type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'registration';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['exclude'] = TRUE;
  /* Field: Registration: Registration ID */
  $handler->display->display_options['fields']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_id']['field'] = 'registration_id';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'user';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'user';
  /* Field: User: First name */
  $handler->display->display_options['fields']['field_profile_first']['id'] = 'field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['table'] = 'field_data_field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['field'] = 'field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['relationship'] = 'user';
  /* Field: User: Last name */
  $handler->display->display_options['fields']['field_profile_last']['id'] = 'field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['table'] = 'field_data_field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['field'] = 'field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['relationship'] = 'user';
  /* Field: Registration: State entity */
  $handler->display->display_options['fields']['state']['id'] = 'state';
  $handler->display->display_options['fields']['state']['table'] = 'registration';
  $handler->display->display_options['fields']['state']['field'] = 'state';
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number']['id'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['order_number']['link_to_order'] = 'admin';
  /* Field: Broken/missing handler */
  $handler->display->display_options['fields']['field_comments']['id'] = 'field_comments';
  $handler->display->display_options['fields']['field_comments']['table'] = 'field_data_field_comments';
  $handler->display->display_options['fields']['field_comments']['field'] = 'field_comments';
  $handler->display->display_options['fields']['field_comments']['relationship'] = 'field_reg_info_all_options_value';
  /* Field: Broken/missing handler */
  $handler->display->display_options['fields']['field_meal_preference']['id'] = 'field_meal_preference';
  $handler->display->display_options['fields']['field_meal_preference']['table'] = 'field_data_field_meal_preference';
  $handler->display->display_options['fields']['field_meal_preference']['field'] = 'field_meal_preference';
  $handler->display->display_options['fields']['field_meal_preference']['relationship'] = 'field_reg_info_all_options_value';
  /* Field: Broken/missing handler */
  $handler->display->display_options['fields']['field_services']['id'] = 'field_services';
  $handler->display->display_options['fields']['field_services']['table'] = 'field_data_field_services';
  $handler->display->display_options['fields']['field_services']['field'] = 'field_services';
  $handler->display->display_options['fields']['field_services']['relationship'] = 'field_reg_info_all_options_value';
  /* Field: Registration: T-shirt size */
  $handler->display->display_options['fields']['field_shirt_size']['id'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['table'] = 'field_data_field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['field'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['relationship'] = 'field_reg_info_all_options_value';
  /* Field: User: Organization */
  $handler->display->display_options['fields']['field_profile_org']['id'] = 'field_profile_org';
  $handler->display->display_options['fields']['field_profile_org']['table'] = 'field_data_field_profile_org';
  $handler->display->display_options['fields']['field_profile_org']['field'] = 'field_profile_org';
  $handler->display->display_options['fields']['field_profile_org']['relationship'] = 'user';
  /* Sort criterion: Registration: Date updated */
  $handler->display->display_options['sorts']['updated']['id'] = 'updated';
  $handler->display->display_options['sorts']['updated']['table'] = 'registration';
  $handler->display->display_options['sorts']['updated']['field'] = 'updated';
  $handler->display->display_options['sorts']['updated']['order'] = 'DESC';
  $handler->display->display_options['sorts']['updated']['granularity'] = 'minute';
  /* Filter criterion: User: First name (field_profile_first) */
  $handler->display->display_options['filters']['field_profile_first_value']['id'] = 'field_profile_first_value';
  $handler->display->display_options['filters']['field_profile_first_value']['table'] = 'field_data_field_profile_first';
  $handler->display->display_options['filters']['field_profile_first_value']['field'] = 'field_profile_first_value';
  $handler->display->display_options['filters']['field_profile_first_value']['relationship'] = 'user';
  $handler->display->display_options['filters']['field_profile_first_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_profile_first_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_profile_first_value']['expose']['operator_id'] = 'field_profile_first_value_op';
  $handler->display->display_options['filters']['field_profile_first_value']['expose']['label'] = 'First Name';
  $handler->display->display_options['filters']['field_profile_first_value']['expose']['operator'] = 'field_profile_first_value_op';
  $handler->display->display_options['filters']['field_profile_first_value']['expose']['identifier'] = 'field_profile_first_value';
  $handler->display->display_options['filters']['field_profile_first_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    13 => 0,
    18 => 0,
    23 => 0,
    28 => 0,
  );
  /* Filter criterion: User: Last name (field_profile_last) */
  $handler->display->display_options['filters']['field_profile_last_value']['id'] = 'field_profile_last_value';
  $handler->display->display_options['filters']['field_profile_last_value']['table'] = 'field_data_field_profile_last';
  $handler->display->display_options['filters']['field_profile_last_value']['field'] = 'field_profile_last_value';
  $handler->display->display_options['filters']['field_profile_last_value']['relationship'] = 'user';
  $handler->display->display_options['filters']['field_profile_last_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_profile_last_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_profile_last_value']['expose']['operator_id'] = 'field_profile_last_value_op';
  $handler->display->display_options['filters']['field_profile_last_value']['expose']['label'] = 'Last Name';
  $handler->display->display_options['filters']['field_profile_last_value']['expose']['operator'] = 'field_profile_last_value_op';
  $handler->display->display_options['filters']['field_profile_last_value']['expose']['identifier'] = 'field_profile_last_value';
  $handler->display->display_options['filters']['field_profile_last_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    13 => 0,
    18 => 0,
    23 => 0,
    28 => 0,
  );
  /* Filter criterion: Registration: Registration ID */
  $handler->display->display_options['filters']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['table'] = 'registration';
  $handler->display->display_options['filters']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['registration_id']['expose']['operator_id'] = 'registration_id_op';
  $handler->display->display_options['filters']['registration_id']['expose']['label'] = 'Registration ID';
  $handler->display->display_options['filters']['registration_id']['expose']['operator'] = 'registration_id_op';
  $handler->display->display_options['filters']['registration_id']['expose']['identifier'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    13 => 0,
    18 => 0,
    23 => 0,
    28 => 0,
  );
  /* Filter criterion: Registration: Commerce Order ID */
  $handler->display->display_options['filters']['order_id']['id'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['table'] = 'registration';
  $handler->display->display_options['filters']['order_id']['field'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['order_id']['expose']['operator_id'] = 'order_id_op';
  $handler->display->display_options['filters']['order_id']['expose']['label'] = 'Order ID';
  $handler->display->display_options['filters']['order_id']['expose']['operator'] = 'order_id_op';
  $handler->display->display_options['filters']['order_id']['expose']['identifier'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    13 => 0,
    18 => 0,
    23 => 0,
    28 => 0,
  );
  /* Filter criterion: Registration: State entity */
  $handler->display->display_options['filters']['state']['id'] = 'state';
  $handler->display->display_options['filters']['state']['table'] = 'registration';
  $handler->display->display_options['filters']['state']['field'] = 'state';
  $handler->display->display_options['filters']['state']['value'] = array(
    'complete' => 'complete',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'type',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'type' => 'type',
    'registration_id' => 'registration_id',
    'state' => 'state',
    'order_number' => 'order_number',
    'updated' => 'updated',
    'name' => 'name',
    'field_badge_first_name' => 'field_badge_first_name',
    'field_badge_last_name' => 'field_badge_last_name',
    'field_badge_job_title' => 'field_badge_job_title',
    'field_badge_org' => 'field_badge_org',
    'field_shirt_size' => 'field_shirt_size',
    'field_badge_designation' => 'field_badge_designation',
    'field_badge_member' => 'field_badge_member',
    'field_friday_sprints' => 'field_friday_sprints',
    'field_registration_volunteer' => 'field_registration_volunteer',
    'anon_mail' => 'anon_mail',
    'mail' => 'mail',
    'commerce_customer_billing' => 'commerce_customer_billing',
  );
  $handler->display->display_options['style_options']['default'] = 'type';
  $handler->display->display_options['style_options']['info'] = array(
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'registration_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'state' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'order_number' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'updated' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_first_name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_last_name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_job_title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_org' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_shirt_size' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_designation' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_badge_member' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_friday_sprints' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_registration_volunteer' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'anon_mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'commerce_customer_billing' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Registration: Registration type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'registration';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['exclude'] = TRUE;
  /* Field: Registration: Registration ID */
  $handler->display->display_options['fields']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['table'] = 'registration';
  $handler->display->display_options['fields']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['fields']['registration_id']['label'] = 'Reg ID';
  $handler->display->display_options['fields']['registration_id']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['registration_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['registration_id']['alter']['path'] = 'registration/[registration_id]';
  $handler->display->display_options['fields']['registration_id']['separator'] = '';
  /* Field: Registration: State entity */
  $handler->display->display_options['fields']['state']['id'] = 'state';
  $handler->display->display_options['fields']['state']['table'] = 'registration';
  $handler->display->display_options['fields']['state']['field'] = 'state';
  $handler->display->display_options['fields']['state']['exclude'] = TRUE;
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number']['id'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['order_number']['label'] = 'Order#';
  $handler->display->display_options['fields']['order_number']['link_to_order'] = 'admin';
  /* Field: Registration: Date updated */
  $handler->display->display_options['fields']['updated']['id'] = 'updated';
  $handler->display->display_options['fields']['updated']['table'] = 'registration';
  $handler->display->display_options['fields']['updated']['field'] = 'updated';
  $handler->display->display_options['fields']['updated']['label'] = 'Timestamp';
  $handler->display->display_options['fields']['updated']['date_format'] = 'date_no_time_';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['name']['label'] = 'Username';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = TRUE;
  /* Field: Registration: First name */
  $handler->display->display_options['fields']['field_badge_first_name']['id'] = 'field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['table'] = 'field_data_field_badge_first_name';
  $handler->display->display_options['fields']['field_badge_first_name']['field'] = 'field_badge_first_name';
  /* Field: Registration: Last name */
  $handler->display->display_options['fields']['field_badge_last_name']['id'] = 'field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['table'] = 'field_data_field_badge_last_name';
  $handler->display->display_options['fields']['field_badge_last_name']['field'] = 'field_badge_last_name';
  /* Field: Registration: Job title */
  $handler->display->display_options['fields']['field_badge_job_title']['id'] = 'field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['table'] = 'field_data_field_badge_job_title';
  $handler->display->display_options['fields']['field_badge_job_title']['field'] = 'field_badge_job_title';
  /* Field: Registration: Organization */
  $handler->display->display_options['fields']['field_badge_org']['id'] = 'field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['table'] = 'field_data_field_badge_org';
  $handler->display->display_options['fields']['field_badge_org']['field'] = 'field_badge_org';
  /* Field: Registration: T-shirt size */
  $handler->display->display_options['fields']['field_shirt_size']['id'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['table'] = 'field_data_field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['field'] = 'field_shirt_size';
  $handler->display->display_options['fields']['field_shirt_size']['exclude'] = TRUE;
  /* Field: Registration: Badge designation */
  $handler->display->display_options['fields']['field_badge_designation']['id'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['table'] = 'field_data_field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['field'] = 'field_badge_designation';
  $handler->display->display_options['fields']['field_badge_designation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_badge_designation']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_designation']['alter']['text'] = '[field_badge_designation-value]';
  /* Field: Registration: Are you a Drupal Association member? */
  $handler->display->display_options['fields']['field_badge_member']['id'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['table'] = 'field_data_field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['field'] = 'field_badge_member';
  $handler->display->display_options['fields']['field_badge_member']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_badge_member']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_badge_member']['alter']['text'] = '[field_badge_member-value]';
  /* Field: Registration: Are you attending the Contribution Sprints on Friday?	 */
  $handler->display->display_options['fields']['field_friday_sprints']['id'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['table'] = 'field_data_field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['field'] = 'field_friday_sprints';
  $handler->display->display_options['fields']['field_friday_sprints']['label'] = 'Are you attending the Contribution Sprints on Friday?';
  $handler->display->display_options['fields']['field_friday_sprints']['exclude'] = TRUE;
  /* Field: Registration: Are you interested in volunteering at DrupalCon? */
  $handler->display->display_options['fields']['field_registration_volunteer']['id'] = 'field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['table'] = 'field_data_field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['field'] = 'field_registration_volunteer';
  $handler->display->display_options['fields']['field_registration_volunteer']['exclude'] = TRUE;
  /* Field: Registration: Anonymous e-mail */
  $handler->display->display_options['fields']['anon_mail']['id'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['table'] = 'registration';
  $handler->display->display_options['fields']['anon_mail']['field'] = 'anon_mail';
  $handler->display->display_options['fields']['anon_mail']['exclude'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'user_uid';
  $handler->display->display_options['fields']['mail']['exclude'] = TRUE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Commerce Order: Billing information */
  $handler->display->display_options['fields']['commerce_customer_billing']['id'] = 'commerce_customer_billing';
  $handler->display->display_options['fields']['commerce_customer_billing']['table'] = 'field_data_commerce_customer_billing';
  $handler->display->display_options['fields']['commerce_customer_billing']['field'] = 'commerce_customer_billing';
  $handler->display->display_options['fields']['commerce_customer_billing']['relationship'] = 'order_id';
  $handler->display->display_options['fields']['commerce_customer_billing']['exclude'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Registration: Registration ID */
  $handler->display->display_options['filters']['registration_id']['id'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['table'] = 'registration';
  $handler->display->display_options['filters']['registration_id']['field'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['group'] = 1;
  $handler->display->display_options['filters']['registration_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['registration_id']['expose']['operator_id'] = 'registration_id_op';
  $handler->display->display_options['filters']['registration_id']['expose']['label'] = 'Registration number';
  $handler->display->display_options['filters']['registration_id']['expose']['operator'] = 'registration_id_op';
  $handler->display->display_options['filters']['registration_id']['expose']['identifier'] = 'registration_id';
  $handler->display->display_options['filters']['registration_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Commerce Order ID */
  $handler->display->display_options['filters']['order_id']['id'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['table'] = 'registration';
  $handler->display->display_options['filters']['order_id']['field'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['group'] = 1;
  $handler->display->display_options['filters']['order_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['order_id']['expose']['operator_id'] = 'order_id_op';
  $handler->display->display_options['filters']['order_id']['expose']['label'] = 'Order number';
  $handler->display->display_options['filters']['order_id']['expose']['operator'] = 'order_id_op';
  $handler->display->display_options['filters']['order_id']['expose']['identifier'] = 'order_id';
  $handler->display->display_options['filters']['order_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: State entity */
  $handler->display->display_options['filters']['state']['id'] = 'state';
  $handler->display->display_options['filters']['state']['table'] = 'registration';
  $handler->display->display_options['filters']['state']['field'] = 'state';
  $handler->display->display_options['filters']['state']['value'] = array(
    'complete' => 'complete',
  );
  $handler->display->display_options['filters']['state']['group'] = 1;
  /* Filter criterion: Commerce Coupon: Coupon Code (commerce_coupon_code) */
  $handler->display->display_options['filters']['commerce_coupon_code_value']['id'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['table'] = 'field_data_commerce_coupon_code';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['field'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['relationship'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['group'] = 1;
  $handler->display->display_options['filters']['commerce_coupon_code_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['operator_id'] = 'commerce_coupon_code_value_op';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['label'] = 'Coupon Code';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['operator'] = 'commerce_coupon_code_value_op';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['identifier'] = 'commerce_coupon_code_value';
  $handler->display->display_options['filters']['commerce_coupon_code_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Commerce Coupon: Reference (field_reference) */
  $handler->display->display_options['filters']['field_reference_value']['id'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['table'] = 'field_data_field_reference';
  $handler->display->display_options['filters']['field_reference_value']['field'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['relationship'] = 'commerce_coupon_order_reference_target_id';
  $handler->display->display_options['filters']['field_reference_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_reference_value']['group'] = 1;
  $handler->display->display_options['filters']['field_reference_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_reference_value']['expose']['operator_id'] = 'field_reference_value_op';
  $handler->display->display_options['filters']['field_reference_value']['expose']['label'] = 'Coupon Reference';
  $handler->display->display_options['filters']['field_reference_value']['expose']['operator'] = 'field_reference_value_op';
  $handler->display->display_options['filters']['field_reference_value']['expose']['identifier'] = 'field_reference_value';
  $handler->display->display_options['filters']['field_reference_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: First name (field_badge_first_name) */
  $handler->display->display_options['filters']['field_badge_first_name_value']['id'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['table'] = 'field_data_field_badge_first_name';
  $handler->display->display_options['filters']['field_badge_first_name_value']['field'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_first_name_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_first_name_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['operator_id'] = 'field_badge_first_name_value_op';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['label'] = 'First name';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['operator'] = 'field_badge_first_name_value_op';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['identifier'] = 'field_badge_first_name_value';
  $handler->display->display_options['filters']['field_badge_first_name_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Last name (field_badge_last_name) */
  $handler->display->display_options['filters']['field_badge_last_name_value']['id'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['table'] = 'field_data_field_badge_last_name';
  $handler->display->display_options['filters']['field_badge_last_name_value']['field'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_last_name_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_last_name_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['operator_id'] = 'field_badge_last_name_value_op';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['label'] = 'Last name';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['operator'] = 'field_badge_last_name_value_op';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['identifier'] = 'field_badge_last_name_value';
  $handler->display->display_options['filters']['field_badge_last_name_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Organization (field_badge_org) */
  $handler->display->display_options['filters']['field_badge_org_value']['id'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['table'] = 'field_data_field_badge_org';
  $handler->display->display_options['filters']['field_badge_org_value']['field'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_badge_org_value']['group'] = 1;
  $handler->display->display_options['filters']['field_badge_org_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['operator_id'] = 'field_badge_org_value_op';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['label'] = 'Organization';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['operator'] = 'field_badge_org_value_op';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['identifier'] = 'field_badge_org_value';
  $handler->display->display_options['filters']['field_badge_org_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Date updated */
  $handler->display->display_options['filters']['updated']['id'] = 'updated';
  $handler->display->display_options['filters']['updated']['table'] = 'registration';
  $handler->display->display_options['filters']['updated']['field'] = 'updated';
  $handler->display->display_options['filters']['updated']['operator'] = '>=';
  $handler->display->display_options['filters']['updated']['group'] = 1;
  $handler->display->display_options['filters']['updated']['exposed'] = TRUE;
  $handler->display->display_options['filters']['updated']['expose']['operator_id'] = 'updated_op';
  $handler->display->display_options['filters']['updated']['expose']['label'] = 'Registration last updated ';
  $handler->display->display_options['filters']['updated']['expose']['description'] = 'Format: CCYY-MM-DD HH:MM:SS ';
  $handler->display->display_options['filters']['updated']['expose']['operator'] = 'updated_op';
  $handler->display->display_options['filters']['updated']['expose']['identifier'] = 'updated';
  $handler->display->display_options['filters']['updated']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['updated']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'user_uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['group'] = 1;
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Username';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  /* Filter criterion: Registration: Registration type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'registration';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Registration type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['type']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    3 => 0,
  );
  $handler->display->display_options['path'] = 'admin/commerce/registrations/drupalcon';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'DrupalCon';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $export['drupalcon_registrations'] = $view;

  return $export;
}
